Bug 489489 - Add ro (Romanian) to openoffice.org localizations
Add ro (Romanian) to openoffice.org localizations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
http://tradu.softwareliber.ro
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 09:01 EDT by Alexandru Szasz
Modified: 2010-01-11 08:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 08:19:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandru Szasz 2009-03-10 09:01:24 EDT
Please add Romanian (ro) to the openoffice.org list of localizations supported. We're currently working on it (57% UI translated), but there's definitely an advantage already for people that speak only Romanian.

We update regularly the file hosted here: http://tradu.softwareliber.ro/data/import/1/GSI_ro.sdf.bz2 that contains the translations. The file is also used in Pavel's builds (linux.cz).

Let me know if you need the file in another format.
Comment 1 Caolan McNamara 2009-03-10 09:09:59 EDT
Have you submitted your translations upstream to qa.openoffice.org yet ?, if so under what id ?
Comment 2 Alexandru Szasz 2009-03-10 09:21:19 EDT
No, I did not. I am the project lead of the Romanian OO.o project, is there a link that describes that process and is it needed to proceed here ?
Comment 3 Caolan McNamara 2009-03-10 10:09:55 EDT
http://wiki.services.openoffice.org/wiki/NLC:New_Translators_Start_here#Submit_the_file

I'm willing to add translations manually on a temporary basis, but not on a permanent one requiring continual updating as I'd be totally overwhelmed very quickly. If there's a submission upstream for, e.g. the next OOo version, then I'm happy enough to add that version in for the next Fedora OOo release.
Comment 4 Alexandru Szasz 2009-03-10 10:59:22 EDT
Ok, I understand. I've seen in the spec some external sources for some languages, that's why I thought of submitting this bug.

If I submit it upstream when it's 100% UI done will you pick it up from there or do I need to come back with a bug here ?
Comment 5 Caolan McNamara 2009-03-10 11:35:07 EDT
If you look at the .spec you'll see the issue number above them like so...

Source10:       http://www.puimula.org/htp/ooo/gsi/3.1/GSI_fi.sdf.gz
...
# i98704
cp %{SOURCE10} .
gzip -d GSI_fi.sdf.gz
localize -m -x -l fi -f GSI_fi.sdf

So i98704 denotes http://qa.openoffice.org/issues/show_bug.cgi?id=98704

The best thing to do is to finish the translations. Log it upstream like those examples and then re-open this issue with a reference to the upstream issue.

There is a slight extra complication in that there hasn't been a previous Romanian translation included in Fedora, so its a new translation rather than an updated one. In this case, even when the updated translations is included in an OOo release or accepted for one, there won't automatically be a langpack in Fedora. So you need to come back with a bug/request here.

So, I'll close this as "deferred" or something for now. And you can re-open it when you've submitted your work upstream and at that stage we can add the langpack to fedora OOo.
Comment 6 Alexandru Szasz 2009-12-24 06:23:35 EST
Hi,

I've submitted the language pack a while ago here: http://www.openoffice.org/issues/show_bug.cgi?id=106453
Comment 7 Caolan McNamara 2009-12-24 07:01:01 EST
Excellent, these are in 3.2 now, so now enabled those translations in rawhide, will be in build >= 3.2.0-8.4

Note You need to log in before you can comment on or make changes to this bug.